darcs

Issue 1166 wish: darcs record --unified

Title wish: darcs record --unified
Priority wishlist Status resolved
Milestone 2.8.0 Resolved in 2.10.0 HEAD
Superseder Nosy List darcs-devel, dmitry.kurochkin, galbolle, jaredj, kowey, mndrix, thorkilnaur, twb
Assigned To
Topics ProbablyEasy, UI

Created on 2008-10-25.10:10:11 by galbolle, last changed 2012-04-22.18:45:26 by noreply.

Messages
msg6446 (view) Author: galbolle Date: 2008-10-25.10:10:06
When selecting hunks, darcs record should show some context around the diff.
msg7201 (view) Author: twb Date: 2009-01-26.03:41:52
On Fri, Oct 24, 2008 at 11:10:06PM +0000, Florent Becker wrote:
> When selecting hunks, darcs record should show some context around the diff.

This already works for darcs whatsnew --unified.  Someone needs learn
how this was implemented, and then implement "darcs record --unified".
msg15254 (view) Author: noreply Date: 2012-03-09.22:56:12
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue1166 with
status=has-patch

* resolve issue1166 --unified flag for record, amend-record, revert and unrevert 
Ignore-this: 3b1eee78ef72102bde7a49399a0d2269
msg15601 (view) Author: noreply Date: 2012-04-22.18:45:25
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue1166 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue1166 --unified flag for record, amend-record, revert and unrevert 
Ignore-this: 3b1eee78ef72102bde7a49399a0d2269
History
Date User Action Args
2008-10-25 10:10:11galbollecreate
2009-01-26 03:41:56twbsetstatus: unread -> unknown
nosy: + twb
messages: + msg7201
title: record should show context -> wish: darcs record --unified
2009-08-10 23:49:11adminsetnosy: - dagit
2009-08-22 12:10:33koweysetstatus: unknown -> needs-implementation
nosy: kowey, simon, twb, thorkilnaur, jaredj, dmitry.kurochkin, galbolle
2009-08-22 12:10:52koweysettopic: + Target-2.4
nosy: kowey, simon, twb, thorkilnaur, jaredj, dmitry.kurochkin, galbolle
2009-08-25 17:32:11adminsetnosy: + darcs-devel, - simon
2009-08-27 10:30:10koweysetnosy: kowey, darcs-devel, twb, thorkilnaur, jaredj, dmitry.kurochkin, galbolle
2009-08-27 14:29:27adminsetnosy: kowey, darcs-devel, twb, thorkilnaur, jaredj, dmitry.kurochkin, galbolle
2009-09-14 10:53:34koweysettopic: + Target-2.5, - Target-2.4
nosy: kowey, darcs-devel, twb, thorkilnaur, jaredj, dmitry.kurochkin, galbolle
2010-06-15 20:51:59adminsetmilestone: 2.5.0
2010-06-15 20:59:20adminsettopic: - Target-2.5
2010-07-25 14:35:23tux_rockersetmilestone: 2.5.0 -> 2.8.0
2012-03-08 23:16:18mndrixsetnosy: + mndrix
2012-03-09 22:56:13noreplysetstatus: needs-implementation -> has-patch
messages: + msg15254
2012-04-22 18:45:26noreplysetstatus: has-patch -> resolved
messages: + msg15601
resolvedin: 2.10.0 HEAD